[**@rxap/data-grid v19.0.2**](../README.md)

***

[@rxap/data-grid](../globals.md) / DataGridHeaderCellDefDirective

# Class: DataGridHeaderCellDefDirective

Defined in: [data-grid-header-cell-def.directive.ts:15](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-header-cell-def.directive.ts#L15)

## Constructors

### new DataGridHeaderCellDefDirective()

> **new DataGridHeaderCellDefDirective**(`template`): [`DataGridHeaderCellDefDirective`](DataGridHeaderCellDefDirective.md)

Defined in: [data-grid-header-cell-def.directive.ts:23](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-header-cell-def.directive.ts#L23)

#### Parameters

##### template

`TemplateRef`\<[`DataGridHeaderCellDefDirectiveContext`](../interfaces/DataGridHeaderCellDefDirectiveContext.md)\>

#### Returns

[`DataGridHeaderCellDefDirective`](DataGridHeaderCellDefDirective.md)

## Properties

### template

> **template**: `TemplateRef`\<[`DataGridHeaderCellDefDirectiveContext`](../interfaces/DataGridHeaderCellDefDirectiveContext.md)\>

Defined in: [data-grid-header-cell-def.directive.ts:25](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-header-cell-def.directive.ts#L25)

## Methods

### ngTemplateContextGuard()

> `static` **ngTemplateContextGuard**(`dir`, `ctx`): `ctx is DataGridHeaderCellDefDirectiveContext`

Defined in: [data-grid-header-cell-def.directive.ts:16](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-header-cell-def.directive.ts#L16)

#### Parameters

##### dir

[`DataGridHeaderCellDefDirective`](DataGridHeaderCellDefDirective.md)

##### ctx

`any`

#### Returns

`ctx is DataGridHeaderCellDefDirectiveContext`
